
.canvas-area{
	position: absolute;
	top: 0px;
	left: 0px;
	height: 100%;
	width: 100%;
	z-index: 1;
}
.constellation{
	height: 100%!important;
	width: 100%!important;
}


/*theme-style-rain*/
.rain-area{
	height: 100%;
	width: 100%;
	position: absolute;
	top: 0px;
	left: 0px;
	z-index: -1;
}



/* for snow effect */
.winter-is-coming, .snow {
	z-index: -1;
	pointer-events: none;
}

.winter-is-coming {
	overflow: hidden;
	position: absolute;
	top: 0;
	height: 100%;
	width: 100%;
	max-width: 100%;
	background: rgba(0,0,0,0.2);
}

.snow {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	-webkit-animation: falling linear infinite both;
	animation: falling linear infinite both;
	-webkit-transform: translate3D(0, -100%, 0);
	transform: translate3D(0, -100%, 0);
}
.snow-near {
	-webkit-animation-duration: 10s;
	animation-duration: 10s;
	background-image: url('../img/snow-near.png');
	background-size: contain;
}
.snow-near + .snow-alt {
	-webkit-animation-delay: 5s;
	animation-delay: 5s;
}
.snow-mid {
	-webkit-animation-duration: 20s;
	animation-duration: 20s;
	background-image: url('../img/snow-mid.png');
	background-size: contain;
}
.snow-mid + .snow-alt {
	-webkit-animation-delay: 10s;
	animation-delay: 10s;
}
.snow-far {
	-webkit-animation-duration: 30s;
	animation-duration: 30s;
	background-image: url('../img/snow-far.png');
	background-size: contain;
}
.snow-far + .snow-alt {
	-webkit-animation-delay: 15s;
	animation-delay: 15s;
}

@-webkit-keyframes falling {
	0% {
		-webkit-transform: translate3D(-7.5%, -100%, 0);
		transform: translate3D(-7.5%, -100%, 0);
	}
	100% {
		-webkit-transform: translate3D(7.5%, 100%, 0);
		transform: translate3D(7.5%, 100%, 0);
	}
}

@keyframes falling {
	0% {
		-webkit-transform: translate3D(-7.5%, -100%, 0);
		transform: translate3D(-7.5%, -100%, 0);
	}
	100% {
		-webkit-transform: translate3D(7.5%, 100%, 0);
		transform: translate3D(7.5%, 100%, 0);
	}
}
/* for waterpipe */
#wavybg-wrapper {
	width: 100%;
	height: 100%;
	overflow: hidden;
	position: absolute;
	z-index: -1;
	background: #333;
	top: 0;
	left: 0;
	margin: auto;
}
#wavybg-wrapper canvas {
	position: absolute;
	top: 0;
	bottom: 0;
	margin: auto;
	left: 0;
	right: 0;
}
/* for particles */
.canvas-area {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: -1;
}
.canvas-area canvas {
	width: 100%;
	height: 100%;
}
#stats {
	display: none !important;
}
/* for sphere particles */
#sphere-particles {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: #000;
	text-align: center;
	z-index: -1;
	overflow: hidden;
}
#sphere-particles canvas {
	position: absolute;
	max-width: 100%;
	height: 750px;
	max-height: 100%;
	left: 0;
	right: 0;
	width: 700px;
	margin: auto;
	top: 0;
	bottom: 0;
	z-index: -1;
}
/* for slider burn */
.body-slider {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: -5;
}
.body-slider .owl-stage,
.body-slider .owl-item.active,
.body-slider .owl-stage-outer {
	height: 100%;
}
.body-single-slide {
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	height: 100%;
}
.body-slide-1 {
	background-image: url('../img/body-bg.jpg');
}
.body-slide-2 {
	background-image:url('../img/body-bg-2.jpg');
}
.body-slide-3 {
	background-image: url('../img/body-bg.jpg');
}
.body-slide-4 {
	background-image:url('../img/body-bg-2.jpg');
}
/* video background */
.tubular{
	position: absolute !important;
	height: 100% !important;
	width: 100% !important;
	top: 0 !important;
	left: 0px !important;
	z-index: -1 !important;
}

.big-background-default-image {
	background-image: url('../img/body-bg.jpg');
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
	width: 100%;
	height: 100%;
	z-index: 0;
	backface-visibility: hidden;
}
.big-background-default-image iframe {
	width: 100% !important;
	height: 100% !important;
	position: absolute !important;
	margin: 0 !important;
	top: 0 !important;
	left: 0 !important;
	right: 0 !important;
	bottom: 0 !important;
}

/* for rain */
.rain-area img {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
}
.rain-area canvas {
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
}
.rain-area {
	position: absolute;
	z-index: -1;
	height: 100%;
	width: 100%;
	overflow: hidden;
}
.rain-area:after {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	content: "";
	z-index: -1;
	background-color: #000;
	opacity: .3;
}